body {
	margin: 0;
	background-color: #000;
	color: #fff;
	font-family: Monospace;
	font-size: 13px;
	line-height: 24px;
	font-family: "Montserrat", sans-serif !important;
	/* overscroll-behavior: none; */
	/* overflow: auto; */
}

button {
	cursor: pointer;
	text-transform: uppercase;
}

#info {
	position: absolute;
	top: 0px;
	width: 100%;
	padding: 10px;
	box-sizing: border-box;
	text-align: center;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
	z-index: 1; 
	background: rgba(0, 0, 0, 0.46);
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	backdrop-filter: blur(10.6px);
	-webkit-backdrop-filter: blur(10.6px);
	border: 1px solid rgba(0, 0, 0, 0.3);
}

#content-container{
	position: absolute;
	box-sizing: border-box;
	width: 100%;
	overflow-y: scroll;
	height: 100vh;
	transition: filter 2.9s ease;
}

.home {
	min-height: 720px;
	display: flex;
	justify-content: center;
}

.section {
	min-height: 720px;
	display: flex;
	justify-content: center;
}

.container{
	max-width: 1270px;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}

.title {
	z-index: 1;
	width: 100%;
}

.blur-background {
	backdrop-filter: blur(4px);
}

.title h1 {
    font-size: 100px;
	font-weight: 400;

}

.header-container{
	display: flex;
	justify-content: center;
}

.txt-container{
	width: 1100px;
}

.title h3 {
    font-size: 30px;
	font-weight: 400;
	padding-top: 15px;
	padding-left: 8px;

}

.divider-container{
	display: flex;
	justify-content: center;
	margin-top: 20px;
}

a, button, input, select {
	pointer-events: auto;
}

.lil-gui {
	z-index: 2 !important; /* TODO Solve this in HTML */
}

@media all and ( max-width: 640px ) {
	.lil-gui.root { 
		right: auto;
		top: auto;
		max-height: 50%;
		max-width: 80%;
		bottom: 0;
		left: 0;
	}
}

#overlay {
	position: absolute;
	font-size: 16px;
	z-index: 2;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	background: rgba(0,0,0,0.7);
}

#overlay button {
	background: transparent;
	border: 0;
	border: 1px solid rgb(255, 255, 255);
	border-radius: 4px;
	color: #ffffff;
	padding: 12px 18px;
	text-transform: uppercase;
	cursor: pointer;
}

#notSupported {
	width: 50%;
	margin: auto;
	background-color: #f00;
	margin-top: 20px;
	padding: 10px;
}

#alert-container {
    padding: 10px;
    background-color: #212121; /* Red background for error */
    color: white;
	position: fixed;
	top: 50%;
	left: 50%;
	/* bring your own prefixes */
	transform: translate(-50%, -50%);
    border-radius: 5px;
	position: absolute;
	/* height: 220px; */
	width: 300px;
	z-index: 4;
	-webkit-box-shadow: 0px 4px 38px 2px rgba(0, 0, 0, 1);
	-moz-box-shadow: 0px 4px 38px 2px rgba(0, 0, 0, 1);
	box-shadow: 0px 4px 38px 2px rgba(0, 0, 0, 1);
	display: flex;
	justify-content: center;
	text-align: center;
	align-content: center;
}
#alert-container div{
	margin-top: 10px;
}

#alert-container.hide {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}


#alert-title{
	padding: 5px;
	font-size: 35px;
}

#alert-message{
	padding: 5px;
	font-size: 20px;
}

#alert-button.success{
	border-radius: 5px;
	background-color: #4CAF50;
	border: none;
}

#alert-button.success:hover{
	color: #fff;
	border-radius: 5px;
	background-color: #7be37e;
	border: none;
}


#alert-button.failed{
	border-radius: 5px;
	background-color: rgb(232, 60, 60);
	border: none;
}

#alert-button.failed:hover{
	color: #fff;
	border-radius: 5px;
	background-color: rgb(244, 121, 121);
	border: none;
}